UpdatePingMonitorDetails

class oci.healthchecks.models.UpdatePingMonitorDetails(**kwargs)

Bases: object

The request body used to update a ping monitor.

Attributes:

PROTOCOL_ICMP

A constant which can be used with the protocol property of a UpdatePingMonitorDetails.

PROTOCOL_TCP

A constant which can be used with the protocol property of a UpdatePingMonitorDetails.

defined_tags

Gets the defined_tags of this UpdatePingMonitorDetails.

display_name

Gets the display_name of this UpdatePingMonitorDetails.

freeform_tags

Gets the freeform_tags of this UpdatePingMonitorDetails.

interval_in_seconds

Gets the interval_in_seconds of this UpdatePingMonitorDetails.

is_enabled

Gets the is_enabled of this UpdatePingMonitorDetails.

port

Gets the port of this UpdatePingMonitorDetails.

protocol

Gets the protocol of this UpdatePingMonitorDetails.

targets

Gets the targets of this UpdatePingMonitorDetails.

timeout_in_seconds

Gets the timeout_in_seconds of this UpdatePingMonitorDetails.

vantage_point_names

Gets the vantage_point_names of this UpdatePingMonitorDetails.

Methods:

__init__(**kwargs)

Initializes a new UpdatePingMonitorDetails object with values from keyword arguments.

PROTOCOL_ICMP = 'ICMP'

A constant which can be used with the protocol property of a UpdatePingMonitorDetails. This constant has a value of “ICMP”

PROTOCOL_TCP = 'TCP'

A constant which can be used with the protocol property of a UpdatePingMonitorDetails. This constant has a value of “TCP”

__init__(**kwargs)

Initializes a new UpdatePingMonitorDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):

Parameters
  • targets (list[str]) – The value to assign to the targets property of this UpdatePingMonitorDetails.

  • vantage_point_names (list[str]) – The value to assign to the vantage_point_names property of this UpdatePingMonitorDetails.

  • port (int) – The value to assign to the port property of this UpdatePingMonitorDetails.

  • timeout_in_seconds (int) – The value to assign to the timeout_in_seconds property of this UpdatePingMonitorDetails.

  • protocol (str) – The value to assign to the protocol property of this UpdatePingMonitorDetails. Allowed values for this property are: “ICMP”, “TCP”

  • display_name (str) – The value to assign to the display_name property of this UpdatePingMonitorDetails.

  • interval_in_seconds (int) – The value to assign to the interval_in_seconds property of this UpdatePingMonitorDetails.

  • is_enabled (bool) – The value to assign to the is_enabled property of this UpdatePingMonitorDetails.

  • freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this UpdatePingMonitorDetails.

  • defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this UpdatePingMonitorDetails.

property defined_tags

Gets the defined_tags of this UpdatePingMonitorDetails. Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags. Example: {“Operations”: {“CostCenter”: “42”}}

Returns

The defined_tags of this UpdatePingMonitorDetails.

Return type

dict(str, dict(str, object))

property display_name

Gets the display_name of this UpdatePingMonitorDetails. A user-friendly and mutable name suitable for display in a user interface.

Returns

The display_name of this UpdatePingMonitorDetails.

Return type

str

property freeform_tags

Gets the freeform_tags of this UpdatePingMonitorDetails. Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags. Example: {“Department”: “Finance”}

Returns

The freeform_tags of this UpdatePingMonitorDetails.

Return type

dict(str, str)

property interval_in_seconds

Gets the interval_in_seconds of this UpdatePingMonitorDetails. The monitor interval in seconds. Valid values: 10, 30, and 60.

Returns

The interval_in_seconds of this UpdatePingMonitorDetails.

Return type

int

property is_enabled

Gets the is_enabled of this UpdatePingMonitorDetails. Enables or disables the monitor. Set to ‘true’ to launch monitoring.

Returns

The is_enabled of this UpdatePingMonitorDetails.

Return type

bool

property port

Gets the port of this UpdatePingMonitorDetails. The port on which to probe endpoints. If unspecified, probes will use the default port of their protocol.

Returns

The port of this UpdatePingMonitorDetails.

Return type

int

property protocol

Gets the protocol of this UpdatePingMonitorDetails. Allowed values for this property are: “ICMP”, “TCP”

Returns

The protocol of this UpdatePingMonitorDetails.

Return type

str

property targets

Gets the targets of this UpdatePingMonitorDetails. A list of targets (hostnames or IP addresses) of the probe.

Returns

The targets of this UpdatePingMonitorDetails.

Return type

list[str]

property timeout_in_seconds

Gets the timeout_in_seconds of this UpdatePingMonitorDetails. The probe timeout in seconds. Valid values: 10, 20, 30, and 60. The probe timeout must be less than or equal to intervalInSeconds for monitors.

Returns

The timeout_in_seconds of this UpdatePingMonitorDetails.

Return type

int

property vantage_point_names

Gets the vantage_point_names of this UpdatePingMonitorDetails. A list of names of vantage points from which to execute the probe.

Returns

The vantage_point_names of this UpdatePingMonitorDetails.

Return type

list[str]